# Base API router -- collecting all APIs here to not clutter main.py
from fastapi import APIRouter

from apis.v1 import (
    route_user,
    route_vehicle,
    route_auth,
    route_task,
    route_maintenancejob,
    route_fuelingtask,
    route_auction,
    route_report
)

api_router = APIRouter()
api_router.include_router(route_user.router, prefix="/user", tags=["users"])
api_router.include_router(route_vehicle.router, prefix="/vehicle", tags=["vehicles"])
api_router.include_router(route_auth.router, prefix="", tags=["auth"])
api_router.include_router(route_task.router, prefix="/task", tags=["task"])
api_router.include_router(
    route_maintenancejob.router, prefix="/maintenancejob", tags=["maintenancejob"]
)
api_router.include_router(route_fuelingtask.router, prefix="/fuel", tags=["fueltasks"])
api_router.include_router(route_auction.router, prefix="/auction", tags=["auctions"])
api_router.include_router(route_report.router, prefix="/report", tags=["reports"])
